///
/// Altitude by Pixelarity
/// pixelarity.com | hello@pixelarity.com
/// License: pixelarity.com/license
///

/* Features */

	.features {
		@include vendor('display', 'flex');
		@include vendor('flex-direction', 'row');
		@include vendor('flex-wrap', 'wrap');
		margin: 0 0 _size(element-margin) 0;

		a {
			border-bottom: 0;
			color: _palette(fg-bold);
		}

		h3 a:hover {
			color: _palette(fg-light);
		}

		section {
			@include vendor('flex-grow', '0');
			@include vendor('flex-shrink', '0');
			border-left: solid 1px;
			border-top: solid 1px;
			padding: 2em 3em;
			text-align: center;
			width: calc(100% / 3);

			&:nth-child(3n - 2) {
				border-left-width: 0;
			}

			&:nth-child(-n + 3) {
				border-top-width: 0;
			}
		}

		@include breakpoint('<=medium') {
			@include vendor('flex-direction', 'column');

			section {
				@include padding(3em, 3em);
				border-left: 0;
				width: 100%;

				&:nth-child(-n + 3) {
					border-top-width: 1px;
				}

				&:first-child {
					border-top-width: 0;
					padding-top: 1em;
				}

				&:last-child {
					padding-bottom: 0;
				}
			}
		}

		@include breakpoint('<=small') {
			section {
				@include padding(3em, 2em);
			}
		}
	}

	@mixin color-features($p: null) {
		.features {
			section {
				border-color: _palette($p, border);
			}
		}
	}

	@include color-features;